Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.google
Class GoogleMaps

    java.lang.Object
      com.maryanovsky.map.client.google.GoogleMaps

    public final class GoogleMaps

extends Object

Support for Google Maps. Note that if you want to actually show Google Maps on your website, you will need to get permission from Google. This is not legal advice, but according to my understanding, registering for a Google Maps API key is currently sufficient.

Author:
  Maryanovsky Alexander

Field Summary
`static Projection` | `MERCATOR_PROJECTION` The mercator projection used by Google Maps.

Method Summary
`static void` | `createGlobalInstance(String apiKey)` Creates the global `GoogleMaps` instance using the specified Google Maps API key.
`static GoogleMaps` | `getInstance()` Returns the global `GoogleMaps` instance.
`static GoogleMaps` | `getInstance(String apiKey)` Returns a `GoogleMaps` instance with the specified Google Maps API key.
`TileLayer` | `getNormalTileLayer()` Returns the normal map tile layer.
`TileLayer` | `getSatteliteTileLayer()` Returns the sattelite tile layer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MERCATOR_PROJECTION

    public static final Projection MERCATOR_PROJECTION

  The mercator projection used by Google Maps.

Method Detail

### createGlobalInstance

    public static void createGlobalInstance(String apiKey)

  Creates the global `GoogleMaps` instance using the specified Google Maps API key.

### getInstance

    public static GoogleMaps getInstance()

  Returns the global `GoogleMaps` instance. Before this method is invoked, the global instance must be created by calling `createGlobalInstance(String)`.

### getInstance

    public static GoogleMaps getInstance(String apiKey)

  Returns a `GoogleMaps` instance with the specified Google Maps API key.

### getNormalTileLayer

    public TileLayer getNormalTileLayer()

  Returns the normal map tile layer.

### getSatteliteTileLayer

    public TileLayer getSatteliteTileLayer()

  Returns the sattelite tile layer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD